#!/bin/sh
export LC_ALL=C
UNAME="`uname -o -r -n`"
INITNG_VERSION="0.5.4-debian"
DISTRO="Unknown"

MD5MAC="`/sbin/ifconfig | grep eth0 | sed 's/.*HWaddr //' | md5sum | sed 's/ .*//'`"
SVN=""

if [ -e .svn ]
then
    SVN="`svn info | grep Revision: | awk '{ print $2; }'`" &> /dev/null
fi

# Set the svn version of got it
if [ "${SVN}" != "" ]
then
    INITNG_VERSION="${INITNG_VERSION}-${SVN}"
fi

[ -e /etc/linspire-version ] && DISTRO="Linspire `cat /etc/linspire-version`"
[ -e /etc/debian_version ] && DISTRO="Debian (Package) `cat /etc/debian_version`"
[ -e /etc/gentoo-release ] && DISTRO="`cat /etc/gentoo-release`"
[ -e /etc/pardus-release ] && DISTRO="Pardus `cat /etc/pardus-release`"
[ -e /etc/fedora-release ] && DISTRO="Fedora `cat /etc/fedora-release`"
[ -e /etc/pld-release ] && DISTRO="PLD `cat /etc/pld-release`"
[ -e /etc/pingwinek-release ] && DISTRO="Pingwinek `cat /etc/pingwinek-release`"
[ -e /etc/altlinux-release ] && DISTRO="Altlinux `cat /etc/altlinux-release`"
[ -e /etc/mandriva-release ] && DISTRO="Mandriva `cat /etc/mandriva-release`"
[ -e /etc/arch-release ] && DISTRO="Arch `cat /etc/arch-release`"
[ -e /etc/slackware-version ] && DISTRO="Slackware `cat /etc/slackware-version`"

echo "Sending this data to the initng counter:"
echo "Uname:          $UNAME"
echo "Initng_Version: $INITNG_VERSION"
echo "Distro:         $DISTRO"
echo "md5mac:         $MD5MAC"
echo
echo "Counting users and knowing what distros people are using"
echo "is extreamly important for us, to see if there is any intrest"
echo "for this product."
echo
echo "This script will use wget to get an 15byte file from"
echo "http://users.initng.thinktux.net/ and then remove the"
echo "file again. No more data then the above will be sent."
echo ""
echo "This does include the hardware address of yout ethernet"
echo "card eth0 in md5 encrypted form."
echo ""
echo "If this is a privacy problem for you, you should press CTRL-C NOW!"
echo ""
echo "You got 3 seconds to reject by pressing Ctrl + C"
echo -ne "\a"
echo
echo "Please also go to http://users.initng.thinktux.net/ and do"
echo "a manual register and leave comments about what you think."
echo



sleep 3
echo "sending ... "
echo
wget -o /dev/null -O- "http://users.initng.thinktux.net/count.php?uname=${UNAME}&distro=${DISTRO}&initng_version=${INITNG_VERSION}&md5mac=${MD5MAC}"
echo
echo "Thank you for beeing counted."
exit 0
