daemon daemon/vdr {
	need = system/bootmisc;
	use = daemon/lircd;
	respawn;
	stdall = /var/log/vdr.log;
	script daemon = {
		q() {
			echo "'\''${*}'\''"
		}
		LOGNAME=vdr
		USER=vdr
		GROUP=video
		HOME=/var/vdr
		LANG=de_DE
		EPGFILE=${HOME}/epg.data
		CONFIG=/etc/vdr
		SVDRP_PORT=2001
		VDR_EXTRA_OPTIONS=
		. /etc/conf.d/vdr
		for plugin in ${PLUGINS}
		do
			# no joke!
			eval "plugins=\"\${plugins} --plugin=$(q "\${plugin} \${plugin_${plugin}}")\""
		done
		cd "${HOME}"
		export LOGNAME USER GROUP HOME LANG
		# why too complicated? su has a new environment,
		# HOME for example is definitiv an other value.
		# so we replace first all vars via eval and then we enter su.
		# no variable should be replaced!
		eval "exec /bin/su '${USER}' -c ' \
			HOME=$(q "${HOME}") \
			LANG=$(q "${LANG}") \
			USER=$(q "${USER}") \
			GROUP=$(q "${GROUP}") \
			LOGNAME=$(q "${LOGNAME}") \
			/usr/bin/vdr \
				--config=$(q "${CONFIG}") \
				--video=$(q "${HOME}") \
				--epgfile=$(q "${EPGFILE}") \
				--port=$(q "${SVDRP_PORT}") \
				${VDR_EXTRA_OPTIONS} \
				${plugins}'"
	};
}
