service system/mountfs {
	need = system/initial system/mountroot system/checkfs;
	use = system/sraid system/hdparm system/selinux/relabel;
	critical;
	script start = {
		# this sed-command isn't posix-conform. excuse, but it's very easy with -r.
		# in feature it's planed to use an own mount_all command,
		# which will make it cleaner
		#== explanation:
		# s/\s+/ /g: only one blank as delimiter
		# s/^ //: remove first blank, if there's one
		# /^(#|$)/!: filter comment- and empty-lines
		# /^\S+ \S+ *\S+ \S*\bnoauto\b\S* /!: filter noauto in opts
		# s/^\S+ (\S+) (<FILESYSTEMS>)$/\1/: cut dir and filter out filesystems but <FILESYSTEMS>.
		/bin/sed -nre '{  s/\s+/ /g;  s/^ //;  /^(#|\S+ (\/|\S+ \S+ \S*\bnoauto\b\S*) )/!  s/^\S+ (\S+) (reiserfs|reiser4|ext2|ext3|xfs|jfs|vfat|ntfs|tmpfs|subfs|bind) .*$/\1/  p }' /etc/fstab | /usr/bin/sort | while read dir
		do
			/bin/mount "${dir}" || echo "WARNING, failed to mount ${dir}"
		done
		exit 0
	};
	script stop = {
		/bin/sed -nre '{  s/\s+/ /g;  s/^ //;  /^(#|\S+ (\/(proc|dev|sys|)|\S+ \S+ \S*\bnoauto\b\S*) )/!  s/^\S+ (\S+) .*$/\1/  p  }' /etc/mtab | /usr/bin/sort -r | while read dir
		do
			/bin/umount "${dir}" || echo "WARNING, failed to mount ${dir}"
		done
		exit 0
	};
}
